Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class DoseUnitsType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.DoseUnitsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class DoseUnitsType

extends Object
implements Serializable

Java class for DoseUnitsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DoseUnitsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SubstanceCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Strength" type="{urn:be:fgov:ehealth:dics:protocol:v5}StrengthRangeType"/>
           </sequence>
           <attribute name="Rank" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DoseUnitsType()`

Method Summary
`Integer` | `getRank()` Gets the value of the rank property.
`StrengthRangeType` | `getStrength()` Gets the value of the strength property.
`String` | `getSubstanceCode()` Gets the value of the substanceCode property.
`void` | `setRank(Integer value)` Sets the value of the rank property.
`void` | `setStrength(StrengthRangeType value)` Sets the value of the strength property.
`void` | `setSubstanceCode(String value)` Sets the value of the substanceCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoseUnitsType

    public DoseUnitsType()

Method Detail

### getSubstanceCode

    public String getSubstanceCode()

  Gets the value of the substanceCode property.

  Returns:
    possible object is `String`

### setSubstanceCode

    public void setSubstanceCode(String value)

  Sets the value of the substanceCode property.

  Parameters:
    `value` - allowed object is `String`

### getStrength

    public StrengthRangeType getStrength()

  Gets the value of the strength property.

  Returns:
    possible object is `StrengthRangeType`

### setStrength

    public void setStrength(StrengthRangeType value)

  Sets the value of the strength property.

  Parameters:
    `value` - allowed object is `StrengthRangeType`

### getRank

    public Integer getRank()

  Gets the value of the rank property.

  Returns:
    possible object is `Integer`

### setRank

    public void setRank(Integer value)

  Sets the value of the rank property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.